Usage

What moving usage would do, to both people

POST
/v1/usage/transfer/quote

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/usage/transfer/quote" \  -H "Content-Type: application/json" \  -d '{    "reason": "string",    "operationKey": "string"  }'
{  "quotedAt": "string",  "amountMicrocredits": "string",  "from": {    "userId": "string",    "pctUsedBefore": 0,    "pctUsedAfter": 0,    "balanceBeforeMicrocredits": "string",    "balanceAfterMicrocredits": "string",    "capacityBeforeMicrocredits": "string",    "capacityAfterMicrocredits": "string",    "transferableMicrocredits": "string"  },  "to": {    "userId": "string",    "pctUsedBefore": 0,    "pctUsedAfter": 0,    "balanceBeforeMicrocredits": "string",    "balanceAfterMicrocredits": "string",    "capacityBeforeMicrocredits": "string",    "capacityAfterMicrocredits": "string",    "transferableMicrocredits": "string"  },  "moving": [    {      "kind": "MONTHLY_GRANT",      "microcredits": "string",      "expiresAt": "string"    }  ],  "debtRepaidMicrocredits": "string",  "refusal": {    "code": "string",    "message": "string"  }}